Hämta — Produkter
Se produktlistor och produktdetaljer.
GET
/api/v1/products/{product_id}cURL-begäran
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url https://shop.onshopently.com/api/v1/products/example \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
Svar
{
"data": {
"availability": {
"available_from": null,
"available_until": null,
"is_available": true
},
"brand_id": null,
"condition": "new",
"created_at": "2026-01-01T12:00:00Z",
"description": "example",
"features": [
{
"feature_id": "example",
"feature_name": "example",
"value": "example",
"value_id": "example"
}
],
"id": "example",
"identifiers": {},
"media": [
{
"alt_text": "example",
"id": "example",
"is_primary": true,
"kind": "image",
"mime_type": "image/jpeg",
"position": 1,
"url": "https://example.invalid/product.jpg"
}
],
"meta_description": "example",
"meta_keywords": [
"example"
],
"meta_title": "example",
"name": "Example",
"number": "example",
"price": {
"amount": "0.00",
"currency": "PLN",
"minor_units": 2,
"tax_included": true
},
"price_version": 1,
"primary_category_id": "example",
"primary_media_id": "example",
"published": false,
"sku": "example",
"slug": "example",
"tax_category_id": "example",
"updated_at": "2026-01-01T12:00:00Z",
"variants_enabled": false,
"version": 1
},
"meta": {
"locale": "en",
"market_code": "PL",
"market_id": "example",
"request_id": "example"
}
}
Behörigheter som krävs
- Autentisering
- Åtkomsttoken
- Tillgänglig från
- STANDARD
- Nyckelns behörighet
- Se produkter
catalog.product:read